qtcreator_4.0.2-1ubuntu2~1~ubuntu16.04~ppa1_amd64.deb


Advertisement

Description

qtcreator - lightweight integrated development environment (IDE) for Qt

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Kubuntu Backports amd64
Package filename qtcreator_4.0.2-1ubuntu2~1~ubuntu16.04~ppa1_amd64.deb
Package name qtcreator
Package version 4.0.2
Package release 1ubuntu2~1~ubuntu16.04~ppa1
Package architecture amd64
Package type deb
Category devel
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 12.61 MB
Installed size 51.67 MB

Alternatives

Package Version Architecture Repository
qtcreator_4.0.2-1ubuntu2~1~ubuntu16.04~ppa1_i386.deb 4.0.2 i386 Kubuntu Backports
qtcreator_3.5.1+dfsg-2ubuntu2_amd64.deb 3.5.1+dfsg amd64 Ubuntu Universe
qtcreator_3.5.1+dfsg-2ubuntu2_i386.deb 3.5.1+dfsg i386 Ubuntu Universe
qtcreator - - -

Requires

Name Value
libbotan-1.10-1 >= 1.10.12
libc6 >= 2.14
libclang1-3.6 >= 3.6
libgcc1 >= 1:3.0
libqbscore1 >= 1.5.0
libqbsqtprofilesetup1 >= 1.2.1
libqt5concurrent5 >= 5.6.0~rc
libqt5core5a >= 5.6.1
libqt5designer5 >= 5.6.0~beta
libqt5designercomponents5 >= 5.6.0~beta
libqt5gui5 >= 5.6.0~rc
libqt5gui5-gles >= 5.6.0~rc
libqt5help5 >= 5.6.0~beta
libqt5network5 >= 5.0.2
libqt5printsupport5 >= 5.0.2
libqt5qml5 >= 5.1.0
libqt5quick5 >= 5.6.0~beta
libqt5quick5-gles >= 5.6.0~beta
libqt5quickwidgets5 >= 5.6.0~beta
libqt5quickwidgets5-gles >= 5.6.0~beta
libqt5sql5 >= 5.0.2
libqt5sql5-sqlite -
libqt5test5 >= 5.5.0
libqt5webkit5 >= 5.6.0~rc
libqt5widgets5 >= 5.6.0~beta
libqt5xml5 >= 5.2.0
libstdc++6 >= 5.2
qml-module-qtquick-controls >= 5.2.1-4~
qml-module-qtquick2 >= 5.2.1-5~
qtchooser -
qtcreator-data = 4.0.2-1ubuntu2~1~ubuntu16.04~ppa1
qtdeclarative-abi-5-6-0 -

Conflicts

Name Value
qtcreator-plugin-cmake -
qtcreator-plugin-go -
qtcreator-plugin-qnx -
qtcreator-plugin-remotelinux -
qtcreator-plugin-ubuntu << 4.0.2-1ubuntu2~1~ubuntu16.04~ppa1
qtcreator-plugin-valgrind -

Replaces

Name Value
qtcreator-plugin-cmake -
qtcreator-plugin-qnx -
qtcreator-plugin-remotelinux -
qtcreator-plugin-valgrind -

Download

Type URL
Mirror ppa.launchpad.net
Binary Package qtcreator_4.0.2-1ubuntu2~1~ubuntu16.04~ppa1_amd64.deb
Source Package qtcreator

Install Howto

  1. Enable the repository:
    # sudo add-apt-repository ppa:kubuntu-ppa/backports
  2. Update the package index:
    # sudo apt-get update
  3. Install qtcreator deb package:
    # sudo apt-get install qtcreator

See Also

Package Description
qtcurve-l10n_1.8.18+git20160320-3d8622c-3~16.04~ppa1_all.deb translation files for QtCurve
qtcurve_1.8.18+git20160320-3d8622c-3~16.04~ppa1_amd64.deb unified widget styles for Qt and GTK+ applications (metapackage)
qtdeclarative4-kqtquickcharts-1_16.04.3-0ubuntu1~ubuntu16.04~ppa61_amd64.deb QtQuick plugin to render interactive charts
qtdeclarative5-dev-tools_5.6.1-4ubuntu1~xenialoverlay1~4_amd64.deb Qt 5 declarative development programs
qtdeclarative5-dev_5.6.1-4ubuntu1~xenialoverlay1~4_amd64.deb Qt 5 declarative development files
qtdeclarative5-doc-html_5.6.1-4ubuntu1~xenialoverlay1~4_all.deb Qt 5 declarative HTML documentation
qtdeclarative5-doc_5.6.1-4ubuntu1~xenialoverlay1~4_all.deb Qt 5 declarative documentation
qtdeclarative5-examples_5.6.1-4ubuntu1~xenialoverlay1~4_amd64.deb Qt 5 declarative examples
qtdeclarative5-folderlistmodel-plugin_5.6.1-4ubuntu1~xenialoverlay1~4_amd64.deb transitional dummy package for Qt 5 folderlistmodel QML module
qtdeclarative5-kf5declarative_5.36.0-0ubuntu1~ubuntu16.04~ppa1_all.deb transitional package for new QML module packages
qtdeclarative5-kf5solid_5.36.0-0ubuntu1~ubuntu16.04~ppa1_all.deb transitional package to renamed qml-module-org-kde-solid
qtdeclarative5-localstorage-plugin_5.6.1-4ubuntu1~xenialoverlay1~4_amd64.deb transitional dummy package for Qt 5 localstorage QML module
qtdeclarative5-models-plugin_5.6.1-4ubuntu1~xenialoverlay1~4_amd64.deb transitional dummy package for Qt 5 Models2 QML module
qtdeclarative5-particles-plugin_5.6.1-4ubuntu1~xenialoverlay1~4_amd64.deb transitional dummy package for Qt 5 particles 2 QML module
qtdeclarative5-private-dev_5.6.1-4ubuntu1~xenialoverlay1~4_amd64.deb Qt 5 declarative private development files
Advertisement
Advertisement